Introducing SecureTask

SecureTask is a powerful tool with which you can entirely automate the process of encryption and deletion of files on your computer. With several mouse clicks you can encrypt and/or wipe any number of files which can be located in different folders and even on different drives. You can automatically perform various operations either using SecureTask Wizard, or from within main SecureTask window.

With Secure Task there is no need for you anymore to be anxious about confidential files on your hard disk which you could forget to encrypt, or about temporary files which are created by many programs and which can contain sensitive information, or about updating your encrypted archives with new versions of files, etc. All these tasks you can accomplish with a single mouse click using SecureTask.

For further details see:

Basics

  • Basic features of SecureTask

  • Basic steps for using SecureTask

  • Task schedules: basics

SecureTask Wizard

  • Advantages and disadvantages of using Wizard
  • Using Wizard for encrypting files
  • Using Wizard for deleting files
  • Using Wizard for system cleanup

Custom task schedules

  • Creating task schedule
  • Automatic encryption: basics
  • Automatic deletion: basics
  • System cleanup


Basic features

Basic features of SecureTask

SecureTask offers several features to help you secure the data on your hard disk:

Encryption of files

With SecureTask you can encrypt all your confidential files on your computer only with several mouse clicks. You can choose for encryption one of ten encryption algorithms and one of four encryption modes. SecureTask lets you to encrypt files either with a password or with digital encryption key (which much more secure than password). With SecureTask you can perform automatic archiving of your confidential files. During archiving SecureTask creates strongly encrypted ZIP-like archives which you can open and modify later.

Secure deletion

When you delete your sensitive files from a disk on your computer, the Windows does not erase these files' contents from the disk - it only deletes references to these files from some system tables. Contents of the deleted file (or file body) continue to be stored on the disk and can be easily restored using any disk tool utility. You can use SecureTask to thoroughly erase your sensitive files without leaving fragments of their data behind. SecureTask's "Wipe" utility ensures that your deleted data is unrecoverable.

System cleaning

When you are working with Windows, you leave many traces of your activity on your computer. With SecureTask you can erase many traces such us temporary Internet files, which can hold web pages you visited; cookie files, where some web sites store information about you when you are visiting these web sites; Internet history where Windows records all web addresses you visited; recent documents list, where Windows records names of documents you recently opened.

See also:

  • Detailed list of SecureTask features


Basic steps

Basic steps for using SecureTask

There are two ways of using SecureTask's features: with Wizard or from within main SecureTask window.

Using SecureTask Wizard

As you might guess, SecureTask Wizard is intended to simplify using SecureTask's features. The best way to learn the Wizard is to use it - just click the Next button in the Wizard to proceed. Press the F1 key or click Help at any time to get help on a specific screen. (See: Starting SecureTask Wizard.) However, you might want to know about certain limitations which working with Wizard does have: Advantages and disadvantages of using Wizard.

Using SecureTask

In order to start using SecureTask for automatic execution of tasks, you need first to define which actions SecureTask must perform, and on which files these actions must be performed. You do this by creating a task schedule.

Task schedule is a collection of tasks. Each task describes a different action which you want to accomplish with the help of SecureTask. (See: What's this: task.) You create task schedule by adding new tasks and configuring them accordingly to what you want to perform with SecureTask.

Once task schedule has created, the next step is to build a list of files which will be affected by execution of tasks. You need first to build file list in order for you might see which files will be affected by the tasks and to let you to make changes in the file list if needed (for example, to exclude some files from the list and prevent them from being affected by execution of tasks).

There are three ways in which you can build file list:

  1. You can build file list for a single task from a schedule;
  2. You can build file list for all tasks of one type (for example, for all encryption tasks, or for all deletion tasks).
  3. You can build file list for all tasks in the schedule.

After building a file list, it is recommended to review it and make appropriate changes if needed. After that, press "Execute" button to let SecureTask to perform actions on files which are in the file list.

See also:

  • Task schedules: basics
  • Using Wizard for encrypting files
  • Using Wizard for deleting files
  • Using Wizard for system cleanup


What's this: task

When you are working with SecureTask Wizard you don't have to care about tasks. In fact, working with Wizard you even don't have to know anything about tasks: SecureTask Wizard automatically does all work with tasks in background. However, for the sake of simplicity Wizard offers you much more limited options and far less flexibility than if you create and configure tasks manually in the main SecureTask window. (For more details see: Advantages and disadvantages of using Wizard.) Therefore, if you want to manage your data in more secure and flexible way, you need to know how to properly create and configure tasks in the main SecureTask window.

A task is the key notion in your work with SecureTask. By creating and configuring tasks you tell SecureTask what actions you wish to perform and on which files these actions must be performed. Each task describes a different action which you want to accomplish with SecureTask.

SecureTask currently has three types of tasks: encryption tasks, deletion tasks and predefined tasks. Predefined tasks differ from deletion and encryption tasks in that they do not have configurable parameters, all parameters in these tasks are predefined. Encryption and deletion tasks have parameters that can be configured by user. From here on we will call these tasks as user tasks. You may have in a task schedule as many user task as you want.

When you create new task, it appears in the Task window in the left area of main SecureTask window. After creating new task you need to set up the task properties according to what you want to accomplish with this task. Task properties are shown in the Task properties window in bottom-left corner of main SecureTask window.

Encryption and deletion tasks have different sets of properties. But some properties are common for both types of tasks. Further is a brief overview of these common properties.

The key property of each user task is the location on your hard drive where the files that must be affected by the task reside. You can define as a location either a folder or entire logical drive. For more details see: Task properties: folder.

You often don't want to perform an action on all files in a location. In this case you should set another important task property: "File mask". File mask is a search criterion which will be used by SecureTask for selecting files which will be affected by a task. For example, the criterion can be all pictures, all text files, all files with names that have A as their first letter, and so on. Such general searches are done by including the wildcards * and ? in file mask. A question mark represents a single character; an asterisk represents any number of characters. You can use any number of wildcards in any position within the search criterion. Also you can include any number of criteria in file mask. For more details see: Task properties: file mask.

Each task has a name, which you can assign to a task in the "Task name" field. Default name that is assigned to each task is the task's file mask. For the sake of convenience you can assign to each task any name you choose. For example, you can name a task with file mask "*.txt " as "Text files", and so on.

See also:

  • Adding new task

  • Deleting task

  • Executing task

  • Task properties


Complete list of features

SecureTask features

SecureTask lets you automatically perform some security-related tasks on your computer, such as encrypting files, securely deleting files, and performing system cleanup. Below you can read the detailed list of SecureTask features.

Main SecureTask features

Encryption

  • With a few mouse clicks you can encrypt as many files on your computer as you wish;

  • You can define flexible search criteria in order to select for encryption only necessary files;

  • With SecureTask you can automatically create strongly encrypted zip-like file archives. You can open such archives and add to or remove files from them. Also you can open and edit files right inside such archives;

  • SecureTask lets you automatically update files inside encrypted archives with newer version of files residing on your hard disk;

  • SecureTask lets you encrypt your files either with a password or with digital encryption key;

  • You can select to wipe original files automatically after they have been encrypted;

  • You can choose for encryption one of ten encryption algorithms, and one of four encryption modes.

Deletion

  • SecureTask lets you permanently delete (wipe) files from your hard disk, so that their contents cannot be restored;

  • You can wipe any number of files from your hard disk with a few mouse clicks;

  • You can set for each task a separate number of wiping rounds;

  • If you want delete files which are not confidential and need not to be wiped, you can either delete them, or move them to Recycle Bin;

System cleanup

With SecureTask you automatically perform the following cleaning tasks:

  • Deleting all the cookie files residing on your hard disk;

  • Deleting temporary Internet files;

  • Clearing Internet history;

  • Clearing the "Recent Documents" list;

  • Deleting files from the Recycle Bin.

Performing tasks with Wizard

The Wizard allows you to start using SecureTask right now, without knowing any details about working with tasks and custom schedules. The Wizard has the following advantages:

  • The Wizard has an intuitive interface and allows you to know nothing about creating and editing custom task schedule. In fact, the Wizard does not require any additional knowledge or experience at all. If you know what you want to do (for example, to encrypt files in the "C:\MyDocs" folder) you can start using Wizard right now.
  • If you want to quickly accomplish a single simple task, doing it with Wizard is often the most fast and convenient way.

Using custom task schedules

Custom task schedule is a more powerful and flexible means than Wizard to accomplish your tasks. Using custom task schedule has the following advantages:

  • Custom task schedule allows you to create and save any number of schedules with different kinds of tasks, which you can load and execute later.
  • Custom task schedule lets you to accomplish any number of tasks at a time. Using task schedule you can with a couple mouse clicks encrypt and/or wipe files which reside in any number of folders on any number of drives.
  • Custom schedule lets you to use more flexible search criteria for selecting files which should be affected by a task.
  • Custom schedule allows you to perform encryption both with password and with encryption key.

See also:

  • Basic steps for using SecureTask


Secure Task window

With SecureTask you can perform various security related tasks on your computer in two ways: with the help of SecureTask Wizard and using custom task schedules. Wizard is more simple in use. But custom task schedules provide much more flexibility in creating and configuring tasks, and they are often more convenient.

The main SecureTask window is intended for working with custom task schedules. It consists of four child windows:

  • Task window contains tasks which your schedule consists of;
  • Task properties window lets you configure the properties of task which is currently selected in the Task window;
  • Targets window is used for showing list of targets of tasks (list of files which will be affected by the tasks you chose to execute);
  • Output window is used for displaying various messages, such as error messages.


Task window

Task window is located in the upper left quadrant of the main SecureTask window. This window displays the tasks contained in the current schedule. It consists of three panes, whose indices are at the bottom of the window: "Predefined", "Delete" and "Encrypt". Each panes displays its own one type of task: predefined, deletion or encryption tasks respectively.

Task window represents the tasks contained in a schedule in the form of task tree. When you are adding new task, the path of task's "Location" folder is represented as a sub-tree: the folders contained in this path are represented as nodes, and the task itself is represented as the last node in this sub-tree. Such representation makes it easier for you to see what tasks you currently have in your schedule, and which folders will be searched for the targets of these tasks.

Operations inside Task window

Task window has a context menu through which you can perform various operations with the task tree. To display a context menu click with the right mouse button on any item within Task window. Depending upon what kind of item you clicked on, you can choose from the context menu the following actions to perform:

  • Create new task... - creates new task;
  • Add task to this folder - creates new task and automatically sets its "Location" property to a folder that is currently selected in the Task window;
  • Delete task - deletes the currently selected task;
  • Delete all tasks in this folder - deletes all tasks for the currently selected folder;
  • List targets for this task - builds the list of targets for the currently selected task;
  • List targets for this pane - builds the list of targets for all the tasks on the currently selected pane;
  • List targets for this task - builds the list of targets for the currently selected task;


Task properties window

Task properties window is located in the bottom left quadrant of the main SecureTask window. This window contains a table which displays the properties for the task which is currently selected in the Task window. The table is divided into two columns: the left column contains the names of task properties; the right column contains the current values of task properties. To modify the value of task property, first click on the desired property with the left mouse button to select it, and then set new value.

Different task properties have different ways of modifying their values. In some cases you can enter the value of a property directly from the keyboard, in others you need to select one of several predefined values, etc. Read the help on a specific property to learn in which way its value must be set.

See also:

  • Configuring tasks


"Targets" window

"Targets" window is located in the upper right quadrant of the main SecureTask window. This window displays the list of files which will be affected by the tasks you selected to execute (this file list is also called list of targets).

When SecureTask is building list of targets (see: Building list of targets) it searches the folders specified in the "Location" properties of tasks you selected to execute for files which match the file masks of these tasks. Whenever SecureTask finds such a file, it places the name of this file in the list of targets. After list of targets is built, it is shown in the Targets window.

The Targets window has five columns:

  1. Name - displays the file name;
  2. Size - displays the file size;
  3. Type - displays the type of file;
  4. Folder - displays the full path where the file is located;
  5. Action - displays the action which will be performed on the file.

Once SecureTask has built the list of targets, you might want to review this list and make changes if necessary. When you right-click on a file name in the list, a pop-up menu is appeared. Using commands in this menu you can perform some operations with items in the list:

  • Remove from list - removes file from the list of targets. No action will be performed on this file;
  • Open file - opens the file using the default program which is used for opening files of this type;
  • You can change the action that will be performed on a file by selecting in the context menu another action. The action can be changed only for user tasks, not for predefined tasks. For more details see the help on the specific type action:
    - Executing encryption tasks;
    - Executing deletion tasks.

See also:

  • Working with the list of targets


Output window

Output window is located in the bottom right quadrant of the main SecureTask window. This window is used for displaying messages relating to the status of performing the current operation.

If SecureTask encounters any error during building the list of targets or executing the tasks, it displays in the Output window a message with a brief description of error. This error message has the following format:

Type of task: ...
Path: ...
File mask: ...
********* ERROR: *********
    ...

The "Type of task" field in this message contains the name of a pane in the Task window where the task is located. This field can have the following values: "ENCRYPT", "DELETE", or "PREDEFINED".

The "Path" field in this message contains the path specified in the "Location" property of that task, which caused the error. Using this path you can easily locate the problem task in the Task window.

The "File mask" field contains the file mask specified in the the "File mask" property of that task, which caused the error.

The last line in this message contains brief description of error.

Once SecureTask has finished the process of building the list of targets or executing the tasks, it displays in the Output window a number of errors encountered during the process. If the process was successful, the number of error is equal to 0.


Wizard's advantages

Advantages and disadvantages of using Wizard

SecureTask Wizard lets you to automatically perform relatively simple tasks. Such as, for example, to encrypt all text files and picture files in the directory "C:\My Documents" and place encrypted files in the directory "D:\Archives", or to wipe all files which have ".tmp" extension on "D:" logical drive. If such types of tasks is exactly what you need, then the Wizard can perfectly meet your needs, and you don't need to care about how to manually create, configure and execute tasks in the main SecureTask window. But if you want to secure your data in a little bit more flexible, and often more convenient way, you might want to learn how to create, edit and execute your own task schedule. Although creating a task schedule is not a difficult job at all, it requires attention and some basic knowledge of using wildcard characters ('?' and '*').

Below you can read about the differences between working with SecureTask Wizard and manual creating a task schedule in the main SecureTask window.

Advantages of using Wizard:
  1. The Wizard has an intuitive interface and allows you to know nothing about creating and editing custom task schedule. In fact, the Wizard does not require any additional knowledge or experience at all. If you know what you want to do (for example, to encrypt files in the "C:\MyDocs" folder) you can start using Wizard right now.
  2. If you want to quickly accomplish a single simple task, doing it with Wizard is often the most fast and convenient way.

Disadvantages of using Wizard:
  1. Using Wizard you cannot save the tasks which you are performing in order to load these tasks and accomplish the same actions later. For example, if you want to encrypt ".txt" and ".doc" files in the "C:\Docs" folder with a certain password every day, you need to go through the entire process of selecting and setting encryption parameters every time you want to accomplish this action.

    Custom task schedule allows you to create and save any number of schedules with different kinds of tasks, which you can load and execute later.
  2. The Wizard lets you to accomplish only one task at a time. In other words, if you want to encrypt files in two different folders (in case when one folder is not a subfolder of other), say "C:\Docs" and "C:\Private", you need to two times start the Wizard and go through the entire process of selecting and encrypting files.

    Custom task schedule lets you to accomplish any number of tasks at a time. Using task schedule you can with a couple mouse clicks encrypt and/or wipe files which reside in any number of folders on any number of drives.
  3. The Wizard offers a somewhat limited way to select files which should be affected by the task. With Wizard you can select files only using file types (file extensions) as a criterion for selection. In some cases that isn't enough. For example, you may want to encrypt only those ".doc" and ".txt" files whose name begins with "My" (e.g. "MyDocument.txt"), or to wipe files of all types whose name contains "old". You cannot perform automatically this sort of file selection with Wizard.

    Custom schedule lets you to use more flexible search criteria for selecting files which should be affected by a task. (For more details see: Task properties: file mask.)
  4. The Wizard allows you to encrypt files only with password.

    Custom schedule allows you to perform encryption both with password and with encryption key. For more details see: Password and key: what is more secure?

See also:

  • Task schedules: basics
  • Using Wizard for encrypting files
  • Using Wizard for deleting files
  • Using Wizard for system cleanup


Starting Wizard

Starting SecureTask Wizard

When you are starting SecureTask, the Wizard window is displayed by default. You can change this, by unchecking the "Show this Wizard on startup" checkbox in the "Welcome" wizard's screen, so that SecureTask will open the main window on startup.

To start Wizard from within main SecureTask window do one of the following:

  • Press the "Wizard" ( [image] ) button on the toolbar;

  • Select "Actions/Start Wizard..." menu item.

See also:

  • Using Wizard for encrypting files
  • Using Wizard for deleting files
  • Using Wizard for cleaning system


Encrypting files with Wizard

Using Wizard for encrypting files

Using SecureTask Wizard you can encrypt with a few mouse clicks large amounts of files on your computer. Encrypting with Wizard is more simple, but less flexible as compared to encrypting using custom task schedules (for more details see: Advantages and disadvantages of using Wizard).

To encrypt with Wizard files on your computer:
  1. Start Wizard and press "Next";
  2. On the "Select task" Wizard's screen select "Encrypt files" and press "Next";
  3. On the "Select folder" Wizard's screen select the folder where files you want to encrypt are located. To select the folder press the "Browse" button, in the "Select folder" dialog box select the desired folder and press "OK". If you want files residing in subfolders of selected folder are also to be encrypted, check the "Include subfolders" checkbox. After folder is selected, press "Next".
  4. On the "Select file types" Wizard's screen select the types of files you want to encrypt. The left list box on this screen contains types of all files located in the selected folder. To select file types move the desired items from the left list box to the right one using buttons: "<", "<<", ">", ">>". For example, if you select the "Text document" file type, then all the ".txt" files residing in the selected folder will be encrypted. After you have selected the file types, press "Next".
  5. On the "Encryption properties" Wizard's screen set the desired encryption settings:

    - Destination folder: by default, encrypted files are placed into the same folders where original unencrypted files are located. If this is not what you want, you can specify in this property a separate folder into which all encrypted files will be placed. Otherwise, leave this field empty.

    - Password: enter in this field the password with which you want to encrypt files. In the "Verify password" field re-enter your password to make sure that you haven't made any typos. See also: How to choose a good password.

    - Algorithm and mode: select the desired encryption algorithm and mode. For more details about encryption algorithms and modes see: Overview of algorithms, Encryption modes.

    - Add files to archive: when encrypting files, SecureTask by default creates an individual encrypted file for each original unencrypted file. If this option is set to "Yes", then SecureTask will place all encrypted files into a single encrypted archive. You should specify the name of the archive in the "Archive name" field. You can specify either the name of an existing archive, or a name for new archive. In the latter case SecureTask will automatically create new archive with the specified name. For more details about archives see: Overview of archives.

    - Wipe original files after encryption: by default, original unencrypted files remain after encryption in their original folders. If this option is checked, then each original unencrypted file will be wiped after encryption.
    WARNING: You should carefully use this option, because if you forget your password or lose your encryption key, the information in these files will be lost forever.

    After encryption settings are configured, press "Next".
  6. On the "File list" Wizard's screen you can see the list of files which will be encrypted (list of targets). These files are selected based on the file types which you have selected for encryption on the "File types" Wizard's screen. You can remove any file from the list of targets by unchecking the checkbox to the left of the file. After you reviewed the list of targets, press "Next" to start encrypting the files.
  7. On the "Status page" Wizard's screen you can see the results of encryption process. At the last line of report window you can see whether any errors happened during encryption. If all the files has been encrypted successfully, the number of error is equal to 0. If number of errors is not zero, scroll up the report window for the error messages. An error message tells you which file could not be encrypted, and briefly describes the problem which was encountered during encryption of this file. In the end press the "Finish" button.

See also:

  • Using Wizard for cleaning system
  • Using Wizard for deleting files


Deleting files with Wizard

Using Wizard for deleting files

Using SecureTask Wizard you can delete with a few mouse clicks any number of files on your computer. Deleting with Wizard is more simple, but less flexible as compared to deleting using custom task schedules (for more details see: Advantages and disadvantages of using Wizard).

To wipe with Wizard files on your computer:
  1. Start Wizard and press "Next";
  2. On the "Select task" Wizard's screen select "Wipe files" and press "Next";
  3. On the "Select folder" Wizard's screen select the folder where files you want to wipe are located. To select the folder press the "Browse" button, in the "Select folder" dialog box select the desired folder and press "OK". If you want files residing in subfolders of selected folder are also to be wiped, check the "Include subfolders" checkbox. After folder is selected, press "Next".
  4. On the "Select file types" Wizard's screen select the types of files you want to wipe. The left list box on this screen contains types of all files located in the selected folder. To select file types move the desired items from the left list box to the right one using buttons: "<", "<<", ">", ">>". For example, if you select the "Text document" file type, then all the ".txt" files residing in the selected folder will be wiped. After you have selected file types, press "Next".
  5. On the "Deletion options" Wizard's screen select the type of deletion and the number of wiping rounds.

    - The type of deletion:

    - Wipe: Wipe overwrites files and their contents and deletes them from your computer. The Wipe feature is more secure way of permanently removing a file and its contents from the hard drive of your computer. In the Windows operating system, when you delete a file, the data in the file is still there, but the name of the file has been removed from the file directory. Wipe removes all traces of a file's data, such that no one could use a software tool to recover file.

    - Delete: sometimes, when you want to delete files that don't contain any confidential information, it's not necessary to wipe these files. In this case it would be faster to simply delete these files.

    - Move to Recycle Bin: when you are unsure about deleting a specific file, you can move this file in the system "Recycle Bin" folder, so that you will be able to easily restore this file later.

    - Number of wiping rounds:

    SecureTask deletes the files by overwriting them with the help of the procedure recommended by Department of Defense: first all the data in the file is overwritten by all ones then it is overwritten by all zeros and finally it is overwritten by a stream of random values. This procedure is called a wiping round. The number of wiping rounds defines how many times the wiping round will be repeated for wiping your data.

    After you have set deletion options press "Next".
  6. On the "File list" Wizard's screen you can see the list of files which will be deleted (list of targets). These files are selected based on the file types which you have selected for deletion on the "File types" Wizard's screen. You can remove any file from the list of targets by unchecking the checkbox to the left of the file. After you reviewed the list of targets, press "Next" to start deleting the files.
  7. On the "Status page" Wizard's screen you can see the results of deletion process. At the last line of report window you can see whether any errors happened during deletion. If all the files has been deleted successfully, the number of error is equal to 0. If number of errors is not zero, scroll up the report window for the error messages. An error message tells you which file could not be deleted, and briefly describes the problem which was encountered during deletion of this file. In the end press the "Finish" button.

See also:

  • Using Wizard for encrypting files
  • Using Wizard for cleaning system


System cleanup with Wizard

Using Wizard for system cleaning

SecureTask has a set of built-in tasks which are intended to perform various sorts of system cleanup.

To perform predefined tasks with SecureTask Wizard:
  1. Start Wizard and press "Next";
  2. On the "Select task" Wizard's screen select "System cleanup" and press "Next";
  3. On the "Select predefined task" Wizard's screen select one or more tasks you wish to perform:

    - "Clear Internet history": When you are browsing the Internet, Windows writes down the addresses of all pages you opened into the special "Internet history" files. So that you, or anyone else, can open these files and see the address of every page you were browsing. Select this task and Secure Task will clear all the Internet history files.

    - "Delete temporary internet files": When you are browsing the Internet, any data retrieved from the network is cached on your hard disk and stored in the temporary files. You or anyone else can open the directory with these files and see what pages you were browsing. Using this task you can automatically delete all the temporary Internet files from your hard disk.

    - "Delete cookies": Some web sites, when you are visiting them, store on your hard disk special files called "cookies". These files contain the information about your last visit to this site, your personal ID which was assigned to you during your visit to this site, and some other data. Select this task to let Secure Task delete all the "cookie" files from your hard disk.

    - "Clear recent documents": Windows adds the name of each file you open to its "Recently opened documents" list. Using this task you can clear this list.

    - "Clear Recycle Bin": Empties your Recycle Bin.

    After you have selected desired tasks, press "Next" to accomplish these tasks.
  4. On the "Status page" Wizard's screen you can see the results of performing selected tasks. At the last line of report window you can see whether any errors happened during performing. If all the tasks has been accomplished successfully, the number of error is equal to 0. If number of errors is not zero, scroll up the report window for the error messages. An error message tells you which tasks could not be performed, and briefly describes the problem which was encountered during performing of this task. In the end press the "Finish" button.

See also:

  • Using Wizard for encrypting files
  • Using Wizard for deleting files


Task schedule: basics

Task schedule: basic concepts

Task schedule is a collection of tasks which you want to be executed by SecureTask on your computer. Schedule consists of three parts called "Encrypt", "Delete" and "Predefined", and each part contains its own type of tasks: encryption, deletion or predefined tasks (for more details see: What's this: task).

Each schedule can contain unlimited number of tasks. Once you have created a task schedule, you can save it, and later, you can load and execute this schedule.

Task schedule can contain secret information, for example, a password for encryption of files, because of this have an option to store a schedule in encrypted state, so that it can be opened only with your password.


Creating new task schedule

SecureTask automatically loads new empty task schedule on startup (if the option "Load last schedule on startup" is not set in "Preferences").

You also can create new schedule by doing one of the following actions while in the main SecureTask window:

  • Select "File/New" menu item;
  • Press "Ctrl-N" key combination;
  • Press ( [image] ) button on the toolbar.


File mask

Task properties: "File mask"

Default value: not defined.
Task types: encryption tasks, deletion tasks.

This property defines which files residing in the "Location" folder must be affected by the task. File mask is search criteria which SecureTask uses when building list of files which will be targets of the task. SecureTask scans each of the files located in the "Location" folder and matches the files against the file mask. If the files match, they're added to the list of task targets.

You can set the "File mask" property only through the "File mask" dialog box. To do this click with the left mouse on the "File mask" field in the "Task properties" window, after that press the button which will appear on the right side of the field. "File mask" dialog box will be shown. How to define file mask inside the dialog box read here: "File mask" dialog box.


"File mask" dialog box

"File mask" is the most important task property which determines files which will be targets of the task. You can set this property only through the "File mask" dialog box. To open this dialog box click with the left mouse button on the "File mask" field in the "Task properties" window. After that press the button which will appear on the right side of the field.

Defining file mask

In the "File mask" dialog box you can enter file mask in two ways: either by selecting one or more file types, or by manually entering your custom search criteria. Accordingly the dialog box is divided into two parts: "File types" and "Custom search criteria".

Defining file mask by selecting file types

This method of defining file mask is more simple but less flexible that using custom search criteria. With this method you use as search criterion the types of files which must be affected by the task. This means that all files of specified types in the "Location" folder will be targets of the task. For example, if you want to perform the task on all ".txt" and ".doc" files residing in the "Location" folder, you need to add these types of files to the "File types" list.

To enter the file mask by selecting file types:

  1. Press "Add" button in the upper part of the dialog box (in the "File types" section ).

  2. In the "Select file type" dialog box select any file whose type you want to include in the mask. (E.g. if you wish to perform the task on all text files, select any text file). After that press "Open" button.

  3. You can include in the file mask as many file types as you wish. To do this, repeat steps 1 and 2. In the end press OK to close "File mask" dialog box

Defining file mask using custom search criteria

With this method of defining file mask you can with more flexibility and precision specify which files must be the targets of the task. Flexibility of this method is provided by the possibility of using "wildcard characters" in search criteria. Wildcard characters let you to narrow or extend your search as compared to using only file types as a search criterion.

For example, let's assume that you want to perform the task on some ".txt" files in the "Location" folder. If you define file mask with the previous method by adding ".txt" file type to the "File types" list, this means that the task will be accomplished on the all ".txt" files in the "Location" folder. A custom search criterion lets you to narrow the number of files which will be targets of the task: e.g. you can specify a*.txt as a search criterion, in this case the task will be performed only on those ".txt" files whose name begins with "a". Or you can specify *a.* as a search criterion, in this case the task will be performed on files of all types whose name ends with "a".

To define your custom search criteria:

  1. Press "Add" button in the bottom part of the dialog box (in the section "Custom search criteria").

  2. Enter your search criterion and press OK.

  3. You can include in the file mask as many search criteria as you wish. To do this, repeat steps 1 and 2. In the end press OK to close "File mask" dialog box.

See also:

  • File mask

  • Custom search criteria


Custom search criteria

Search criteria which you can use in the file mask are file names where one or more symbols can be replaced with so called "wildcard characters". Wildcard character is a symbol which is used as a placeholder for letters or numbers in a file name. You can use as wildcard characters the question mark (?) and the asterisk (*). The asterisk matches any sequence of characters, whereas the question mark matches any single character.

Wildcard character | Uses
Asterisk (*) Use the asterisk as a substitute for zero or more characters. If you want to include in the list of targets of task all files whose name begins with "gloss", type the following:

gloss*

This locates all files of any file type that begin with "gloss" including Glossary.txt, Glossary.doc, and Glossy.doc. To narrow the search to a specific type of file, type:

gloss*.doc

This locates all files that begin with "gloss" but have the file name extension .doc, such as Glossary.doc and Glossy.doc.

Question mark (?) | Use the question mark as a substitute for a single character in a name. For example, if you type gloss?.doc, you will locate the file Glossy.doc or Gloss1.doc but not Glossary.doc.

Examples of search patterns:

Search pattern | Files which will be found | Files which will not be found
a*.txt | a.txt; abcd.txt; ABC.txt. | ba.txt; a.txx;
*b?.c?? | abc.cab; aabc.ccd; bc.cqq; | abcc.cab; abc.ca; ab.cab;
*a.* | bca.txt; dda.html; a.h | bac.txt;

You can include in the file mask all the files that are contained in the directory, in this case you can use *.* criterion. You also can specify in the file mask only one file, in this case you will enter the name of this file (without path), for example: file.txt.

In most cases you need to use file extensions in the search criteria . File extension is the part of file name which defines the file type and is located in a file name after the dot (or after the last dot if file name has several dots). For example, files with names "file.txt" and "file1.exe" have the extensions "txt" and "exe" accordingly. Text files usually have extensions: "txt", "doc", "wri", "rtf"; picture files have extensions such as "jpg", "bmp", "gif" and so on. Windows explorer by default does not show the file extensions for the registered file types (e.g. explorer does not show "txt" or "doc" extensions). To see the file extensions either you should enable Windows explorer to show the extension for all file types, or you can see extensions in the FineCrypt explorer. To see file extensions in the Windows explorer start Windows explorer, select menu item "Folder options" in the "View" menu, go to the page "View" and uncheck option "Hide file extensions for known file types". Another way to see file extension in Windows explorer is to click right mouse button on the file and select in the context menu item "Properties", file extension will be displayed in the string "MS-DOS name".

See also:

  • File mask

  • "File mask" dialog box


Task properties: "Location"

Default value: not defined.
Task types: encryption tasks, deletion tasks.

This property is set automatically when you select a folder during creation of new task. It contains the folder where files which will be affected by the task reside. The "Location" field is read-only and you cannot change this property.

You can define whether the action should be performed on the files residing in the subfolders of the selected folder. For this you need to set the "Include subfolders" property to "Yes" or "No".

You can perform an action on entire logical drive. For this, when creating new task, select desired logical drive as a location and then set "Include subfolders" property to "Yes".


Task properties: "Include subfolders"

Default value: "Yes".
Task types: encryption tasks, deletion tasks.

This property defines whether subfolders which are contained in the folder indicated in the "Folder" property must be included in the execution of task. If this property is set to "Yes", then all the files which are contained in all subfolders and which match the file mask will be affected by task execution.


Task properties: "Task name"

Default value: not defined.
Task types: encryption tasks, deletion tasks.

By default each task in the task tree in the Task window is represented by its file mask. Often such a representation is inconvenient, especially when the file mask includes many search patterns. In this case you can assign to the task any arbitrary name. For example, you can assign name "Text files" to a task with file mask "*.txt". Task name does not affect in any way execution of task.


Task properties: "Deletion type"

Default value: "Don't delete".
Task types: deletion tasks.

This property defines which action must be executed for deletion of file. You can choose from the four options: "Don't delete", "Move to Recycle Bin", "Delete" and "Wipe".

"Don't delete" - does nothing with files. You may use this action when, for example, you want to leave some files in a folder, while all other files of the same type in the same folder must be deleted. For instance, if you want to wipe all the "txt" files from a folder except one file with name "file.txt", you can create two tasks for this folder: one task will have file mask "*.txt" and the deletion type "Wipe", the other task will have file mask "file.txt" and the deletion type "Don't delete". In this case SecureTask will delete all "txt" files except of "file.txt".

"Move to Recycle Bin" - moves files to Recycle Bin. If you use this action, files are not deleted from your computer, but moved to the Recycle Bin, and you (or someone else) can easily restore them later.

"Delete" - deletes files. In this case references to the files are removed from some systems tables, but the file contents continue to be stored on your hard disk and can be restored with any disk tool utility. It is recommended to use this action for deleting files whose contents are not confidential.

"Wipe" - wipes files from your hard disk. This is the most secure type of deletion which permanently deletes the file content so it cannot be restored using disk recovery software.


Task properties: "Wipe original files"

Default value: "No".
Task types: encryption tasks.

This property defines whether the original files must be wiped after encryption. If this property is set to "Yes", then all the files which match the file mask will be wiped after encryption.


Task properties: "Number of wiping rounds"

Default value: 3.
Task types: deletion tasks.
Notes: this property takes effect only if the "Deletion type" property is set to "Wipe".

SecureTask deletes the files by overwriting them with the help of the procedure recommended by Department of Defense: first all the data in the file is overwritten by all ones then it is overwritten by all zeros and finally it is overwritten by a stream of random values. This procedure is called a wiping round. The "Number of wiping rounds" property defines how many times the wiping round will be repeated for wiping your data.

It needs to be mentioned that some very sophisticated and expensive technologies (for example, electronic tunneling microscopy) allows to recover data which have been overwritten several times. Because of that, if you consider your data very sensitive, it's recommended to use for wiping 10 and more rounds.


Task properties: "Destination folder"

Default value: not defined.
Task types: encryption tasks.
Notes: this property takes effect only if the "Create archive" property is set to "No".

This property defines the directory into which SecureTask must place encrypted files. The directory must exist, otherwise SecureTask will generate an error. If this property is not defined, encrypted files will be placed into the directory where original files are located.

If the "Create archive" property is set to "Yes", this property is ignored.

To define a destination folder:
  1. Click with the left mouse on the "Destination folder" field in the "Properties" window, after that press the button which will appear on the right side of the field.
  2. In the "Select folder" dialog box select desired folder and press OK.


Task properties: "Create archive"

Default value: "No".
Task types: encryption tasks.

If this property is set to "Yes", then during execution of task all files that has been encrypted will be placed into archive. You should specify the name of archive in the "Archive name" property. If this property is set to "Yes" and archive name is not specified, SecureTask will generate an error.

If this property is set to "No", then during execution of the task SecureTask will create an individual encrypted file for each original unencrypted file.


Task properties: "Archive name"

Default value: not defined.
Task types: encryption tasks.
Notes: this property takes effect only if the "Create archive" property is set to "Yes".

This property defines the name of archive into which encrypted files must be placed after encryption. You can specify either the name of existing archive or the name for new archive. The directory where archive is located must exist, otherwise Secure Task will generate an error.

This property is ignored if the "Create archive" property is set to "No".

To enter an archive name:
  1. Click with the left mouse on the "Archive name" field in the "Properties" window, after that press the button which will appear on the right side of the field.
  2. In the "Select FineCrypt archive" dialog box first navigate to the desired folder, then either select existing archive or type in new archive name and press OK.


Task properties: "Key file"

Default value: not defined.
Task types: encryption tasks.

If you wish to encrypt files with encryption key, you need to specify in this property the name of the key file. The key file must exists, otherwise SecureTask will generate an error.

To enter a name of key file:
  1. Click with the left mouse on the "Key file" field in the "Properties" window, after that press the button which will appear on the right side of the field.
  2. In the "Select FineCrypt key file" dialog box navigate to the desired folder, then select a key file and press OK.

Note: The key file must contain encryption key which is compatible with the encryption algorithm chosen in the "Algorithm" property. That is encryption key must have a length which is equal to the maximal key length for the selected algorithm. If the length of the encryption key is not compatible with the selected algorithm, SecureTask will generate an error.

See also:

  • Encryption keys: basic concepts
  • Using encryption keys
  • Protecting encryption keys


Task properties: "Password"

Default value: not defined.
Task types: encryption tasks.
Notes: This property takes effect only if the "Key file" property is empty.

If you encrypt files with password, you should specify in this property the password which will be used for encryption of files. For security purposes, when you are not editing this property, its contents are always represented as eight asterisks, regardless of whether you have entered a password or not.

This property is ignored if "Key file" property contains the name of key file. That is if you provide both password and the name of a file with encryption key, the password will be ignored, and encryption will be done with encryption key.

Note: The password is secret information, and it is highly recommended to store the schedule where you use encryption with password in encrypted state. For that, select "File/Preferences" menu item and check the "Encrypt schedule" option. In this case, when you have finished your work with SecureTask, all information in your schedule will be encrypted.

See also:

  • Passwords: basic concepts

  • Choosing a good password

  • Password and key: what's more secure?


Task properties: "Algorithm"

Default value: "AES".
Task types: encryption tasks.

This property defines the encryption algorithm which will be used for encrypting files. For the list of available algorithms see: Overview of algorithms.

Note: If you wish to perform encryption with encryption key, in this case encryption algorithm and encryption key must be compatible. This means that encryption key must have the same length as the maximal key length for the selected algorithm. For example, if you select AES as encryption algorithm, you should provide key file which contain 32-byte (256-bit) encryption key.


Task properties: Encryption mode

Task properties: "Mode"

Default value: not defined.
Task types: encryption tasks.

This property defines the encryption mode which will be used for encryption of files. For the list of available encryption modes see: Overview of encryption modes.


Adding new task

To add new task:

  1. In the Task window select a pane on which you want to add task.

  2. To add new task to the task schedule, do one of following actions:

    • Press "Add new task" button( [image] )on the toolbar;

    • Press F2 key;

    • Select "Create new task..." item in the "Actions" menu;

    • Click with the right mouse button on any item in the Task window and select "Create new task..." item in the context menu.

  3. In the "Select folder" dialog box select the folder that contains the files on which you want to take actions and press OK.


Configuring task

Each user task has configurable parameters (properties) which must be set in accordance with your needs before the task can be executed.

To view or edit task properties you first need to select the task whose properties you want to modify. To select the task, simply click on it with the left mouse button in the "Task" window. After you have selected the task, you can see its properties in the "Task properties" window.

To read more about configuring specific types of tasks see:

  • Configuring encryption task
  • Configuring deletion task


Deleting tasks

To delete a task:

  1. On the current pane in the Task window select the task you want to delete.

  2. To delete task from the task schedule do one of the following:

  • Press "Delete task" button ( [image] ) on the toolbar;

  • Press F3 key;

  • Select "Delete task" item in the "Actions" menu;

  • Click with the right mouse button on the item in the Task window and select "Delete task" item in the context menu.


Executing tasks

In order to execute tasks, SecureTask first need to build list of files which will be affected by the tasks you want to execute (list of targets). This list of targets must be built before executing tasks for safety purposes: before SecureTask will perform any action on files, you can see the list of files on which actions will be performed, you can open files and view their contents, and you can remove some files from this list if needed or change the action which must be performed on them. How to build list of targets read here: Building list of targets.

You execute tasks be pressing the "Execute" ( [image] ) button on the toolbar. By default, this button is disabled until list of targets is built. Once Secure Task has built list of targets, it is ready to execute the tasks.

To start executing tasks, do one of the following actions:

  • Press "Execute" button ( [image] ) on the toolbar;

  • Press F8 key;

  • Select "Execute" item in the "Actions" menu.

Notes:

  • After tasks has been executed there is no way to undo them. It is highly recommended to always review files listed for execution of tasks.

See also:

  • Creating tasks

  • Configuring tasks

  • Working with list of targets


Building list of targets

Before executing tasks, SecureTask must create list of files which will be targets of the schedule's tasks you want to execute. This list of targets must be built before executing tasks for safety purposes: before SecureTask will perform any action on files, you can see the list of files on which actions will be performed, you can open files and view their contents, and you can remove some files from this list if needed or change the action which must be performed on them.

You can build list of targets for one task, for all the tasks on the current pane, or for all the tasks on all panes.

To build list of targets for one task:

  1. Select the task you want to execute in the Task window.

  2. Do one of the following actions:

  • Press "List targets for selected task" button ( [image] ) on the toolbar;

  • Press F4 key;

  • Select "List targets for selected task" item in the "Actions" menu;

  • Click with the right mouse button on the desired task in the Task window and select "List files for this task" item from the context menu.

To build list of targets for all the tasks on the pane:

  1. Select desired pane in the Task window.

  2. Do one of the following actions:

  • Press "List targets for current pane" button ( [image] ) on the toolbar;

  • Press F5 key;

  • Select "List targets for current pane" item in the "Actions" menu;

  • Click with the right mouse button on any item on the current pane in the Task window and select "List targets for this pane" item from the context menu.

To build list of targets for all the tasks on both panes:

Do one of the following actions:

  • Press "List targets for all panes" button ( [image] ) on the toolbar;

  • Press F6 key;

  • Select "List targets for all panes" item in the "Actions" menu;

  • Click with the right mouse button on any item in the Task window and select "List targets for all panes" item from the context menu.

See also:

Working with list of targets

Executing tasks


Working with list of targets

In the File list window Secure Task lists files which will be affected by tasks that are selected for execution. You can edit this list by removing files from it or changing actions that will be executed on these files.

If you remove files from the list, these files will not be affected by any task that will be executed.

To remove files from the list:

  1. Select one or more files you want to remove.

  2. Click with the right mouse button over the selection and select "Remove from list" item from the context menu.

Notes:

You can select files in the list by several ways:

  • Press and hold left mouse button and drag mouse pointer over the files;
  • Select the first file in the list among those you want to remove, press and hold "Shift" key and select the last file;
  • Press and hold "Ctrl" key and select different files.

To change the action that will be executed on files:

  1. Select one or more files you want to change;

  2. Click with the right mouse button over the selection and choose from the context menu new action you want to execute on these files.

Notes:

  • When you are changing action for files, you can assign new action to these files only from the same category ("Encrypt" or "Delete") that the previous action was from. For example, if the previous action was "Wipe", you can choose new action only from "Delete" category: "Don't delete", or "Move to Recycle Bin", or "Delete".


Automatic encryption: basics

With SecureTask you can encrypt all confidential information on your computer with a few mouse clicks. In order to do that you need to have a schedule containing one or more encryption tasks with information about which files and in what way must be encrypted (see also: What's this: task).

Each encryption task has required parameters which necessarily must be set. The necessary parameters, which you should explicitly define, are:

  • Folder (or drive) where files which must be encrypted are located;
  • File mask that defines types and/or names of files which must be encrypted;
  • Password or encryption key with which files must be encrypted;

Also, encryption task has other parameters, which either have default values, or should not necessarily be defined:

  • Include subfolders - has default value "Yes", which means that the task will affect files residing in all subfolders of the folder defined in the "Folder" property;
  • Destination folder - if you don't want to place encrypted files in the same folder where original unencrypted files are located, this property lets you define a different location where encrypted files will be placed;
  • Create archive - has default value "No", which means that SecureTask will create a separate encrypted file for each original unencrypted file. If you want to place all encrypted files into a single zip-like archive, set this property as "Yes".
  • Archive name - if "Create archive" property is set as "Yes", you should define in this property the name of archive into which encrypted files will be placed;
  • Algorithm - has default value "AES". This property lets you choose an encryption algorithm which will be used for encrypting.
  • Mode - has default value "ECB". This property lets you choose encryption mode in which encryption algorithm will be used.
  • Wipe original files - has default value "No". If you want to wipe original files after encryption, set this property as "Yes".

In the main SecureTask window encryption tasks are represented on the "Encrypt" pane in the Task window.

See also:

  • Creating encryption task
  • Configuring encryption task
  • Executing encryption task


Creating encryption task

When creating new task, you must specify the folder (or drive) where files which you want to encrypt reside. Depending on the specific situation, there are different approaches in deciding what location to specify for new task.

The first situation is when you have several folders and each folder contains files of different types. Files inside each folder are somehow associated with each other (for example, they are related to one subject). But folders themselves are unrelated to each other. For instance, you may have two folders: "C:\Documents", which contains ".txt" and ".doc" files , and "C:\Pictures", which contain ".gif" and ".jpg" files. In this case you might prefer to create two tasks: one task for "Documents" folder, and the other task for "Pictures" folder.

The other situation is when you want to encrypt files of one or two types (for example, ".txt" and ".doc") , which are scattered around entire drive. In other words, many folders on your drive contain the ".txt" and ".doc" files, and you want to encrypt all these files. In this case it would be better to create one task for entire drive.

These are only two the simplest situations. SecureTask allows a great deal of flexibility in creating tasks according to your specific needs.

To create encryption task:

  1. In the Task window select the "Encrypt" pane.

  2. To add new encryption task to the task schedule, do one of following actions:

    • Press "Add new task" button( [image] )on the toolbar;

    • Press F2 key;

    • Select "Create new task..." item in the "Actions" menu;

    • Click with the right mouse button on any item in the Task window and select "Create new task..." item in the context menu.

  3. In the "Select folder" dialog box select the folder that contains the files which you want to encrypt and press OK.

See also:

  • Configuring encryption task
  • Executing encryption task


Configuring encryption task

Once you have created new encryption task, you should configure it in accordance with your needs. You can set up task properties in the "Task properties" window.

First of all you need to specify which files you want to encrypt. You do that by specifying the search criteria (file mask) which will be used by SecureTask for finding files which must be encrypted. To specify the file mask, click with the left mouse button on the "File mask" field and after that click on the appeared button to open the "File mask" dialog box. How to define the file mask in this dialog box read here: "File mask" dialog box.

After that you should decide whether you want to encrypt files which reside in subfolders of the "Location" folder and which match the file mask. If you don't want these files to be encrypted, then set the "Include subfolders" property to "No".

By default, encrypted files are placed into the same folders where original unencrypted files are located. If this is not what you want, you can specify in the "Destination folder" property a separate folder into which all encrypted files will be placed.

By default, when encrypting files, SecureTask creates a separate encrypted file for each original unencrypted file. You may choose to place all encrypted files into a single encrypted archive. For this set the "Create archive" property to "Yes". In this case you should specify in the "Archive name" property the name of archive into which you want to place encrypted files. You may specify either the name of existing archive, or the name for new archive.
NOTE: if you specified as archive name the name of existing archive, you should specify in the "Password" or "Key file" property the password or key file with which this encrypted archive was created.

SecureTask lets you encrypt files either with a password, which is easier to remember, or with encryption key, which is more secure. (For more details see: Password and encryption key: what is more secure?) If you encrypt files with an encryption key, you should specify the name of existing key file in the "Key file" property (you can generate new encryption key and save it in a key file by pressing "Generate key" button ( [image] ) on the toolbar). Otherwise, if you want to encrypt files with a password, you should enter your password in the "Password" property.

You may choose for encrypting files one of ten encryption algorithms, and one of four encryption modes. You can select encryption algorithm and encryption mode in the "Algorithm" and in the "Mode" property accordingly.

By default, original unencrypted files remain after encryption in their original folders. You may choose to wipe original files after they have been encrypted. For that, set the "Wipe original files" property to "Yes".
WARNING: You should carefully use this option, because if you forget your password or lose your encryption key, the information in these files will be lost forever.

See also:

  • Creating encryption task
  • Executing encryption task


Executing encryption tasks

SecureTask can execute tasks only after building the list of files which will be encrypted (list of targets). This list of targets must be built before executing tasks for safety purposes: before SecureTask will encrypt any files, you can see the list of files which are to be encrypted, and you can remove some files from this list if needed (especially if files must be wiped after encryption). How to build list of targets read here: Building list of targets.

Once list of targets is built, you can examine it and make corrections if necessary before executing tasks. You can do the following operations with files in the list of targets:

  • You can open them and view and modify their contents. To do this, select the desired file and do one of the following:

    - double-click with the left mouse button on it;
    - press "Enter";
    - press F9;
    - select "Actions/Open file" menu item.
    - press "Open file" button ( [image] ) on the toolbar.

  • You can remove files from the list of targets, so that SecureTask will not perform any actions on them. To remove a file from the list of targets, select the desired file, click with the right mouse button on it and select "Remove from list" menu item.

  • You can change the type of action that will be performed on files. The action which is currently set to be performed on a file can be seen in the "Action" column of the list of targets. If a file has "Encrypt" type of action, you can change it to "Encrypt and Wipe", and vice versa. To change the type of action, select the desired file, click with the right mouse button on it and select the desired type of action from the context menu.

After you have reviewed list of targets, you execute tasks be pressing the "Execute" ( [image] ) button on the toolbar. By default, this button is disabled until list of targets is built.

To start executing tasks, do one of the following actions:

  • Press "Execute" button ( [image] ) on the toolbar;

  • Press F8 key;

  • Select "Execute" item in the "Actions" menu.

Notes:

  • After tasks has been executed there is no way to undo them. It is highly recommended to always review files listed for execution of tasks.

See also:

  • Creating encryption task
  • Configuring encryption task


Overview of archives

This program lets you create strongly encrypted file archives. Encrypted file archive is a convenient means to securely store your confidential files. Once you have created an archive you can open it with the ArcViewer and perform various operations on it, such as adding to or deleting files from archive, decrypting all or chosen files from archive, you can open files right inside archive and edit them "in-place", in this case the file in archive will be updated with the changes.

Encrypted archives have the file extension ".FCA" and the icon:

See also:

Adding files to archive

Decrypting files from archive

Removing files from archive

Opening files in archive


ArcViewer Window

To open an archive click twice with the left mouse button on it. After that you will be prompted to enter password or key. Once you have entered valid password or key, the archive will be opened and its contents will be displayed in the ArcViewer window.

See also:

Adding files to archive

Decrypting files from archive

Removing files from archive

Opening files in archive


Adding files to archive

After you have opened an archive you can add files to it. You can add to an archive both individual files and whole directories.

To add individual files to an archive:

Press "Add files" ( arcaddfile.bmp (918 bytes) ) button. After that navigate inside "Add files" dialog box into the desired directory and select files you want to add to an archive. Then press "Open" button in "Add files" dialog box.

To add folders to an archive:

Press "Add folders" ( arcaddfold.bmp (1062 bytes) ) button. After that choose in the "Select folder" dialog box desired folder and press "OK".


Decrypting files from archive

After you have opened an archive you can decrypt files contained in it. You can either decrypt all the files in archive or only selected files.

To decrypt all files in an archive:

  1. In the "Output folder" combo box on the ArcViewer's toolbar specify the output folder into which files from an archive must be decrypted. The folder should exist on your computer.

  2. Press "Decrypt all" ( arcdecall.bmp (1134 bytes) ) button.
To decrypt selected files:
  1. In the "Output folder" combo box on the ArcViewer's toolbar specify the output folder into which files from an archive must be decrypted. The folder should exist on your computer.
  2. Select the files you want to decrypt. You can do this in a three ways:
    • press and hold left mouse button and drag the mouse pointer over files;
    • select the first file in the list among those you want to decrypt, press and hold "Shift" key, and select the last file;
    • press and hold "Ctrl" key and select different files.
  3. Press "Decrypt selected files" ( arcdecselect.bmp (918 bytes) ) button. If you want to remove files from an archive after decrypting them, then in this case press "Decrypt and remove selected files" ( arcdecrem.bmp (918 bytes) ) button.


Removing files from archive

After you have opened an archive you can remove files contained in it. You can remove them either after decrypting or without decrypting.

To remove files from an archive:

  1. Select the files you want to remove. You can do this in a three ways:

    • press and hold the left mouse button and drag the mouse pointer over files;
    • select the first file in the list among those you want to remove, press and hold "Shift" key and select the last file;
    • press and hold "Ctrl" key and select different files.

  2. Press "Delete" ( [image] ) button. If you want to first decrypt files before removing, press "Decrypt and remove selected files" ( arcdecrem.bmp (918 bytes) ) button.


Opening files in archive

You can open and edit files right inside an encrypted archive.

To open file in an archive:

Select file you want to open and either double-click on it with the left mouse button or press "Open" ( [image] ) button on the toolbar.

File will be opened with the program that associated by default with the file type which the file being opened has. If the file does not have any associated program, then you will be prompted to select the program from the list. You can perform with the opened file all the operations you can do with the regular file of that type. If you have modified the file, then when you return in the "ArcViewer" window you will be asked whether you want to update the file in the archive. Click "Yes" if you want to update the file.

When your working with archive is finished, after closing "ArcViewer" you will be prompted to wipe temporary file(s), which have been created for working with opened files. These files may be (and should be) wiped.


Passwords: basic concepts

Password is a means to make encryption more easy in use by sacrificing some degree of security.

Encryption is the process that has as a required component an encryption key of predefined length. The necessary length of a key is determined by the algorithm which is used for encryption. This length may be as long as 255 bytes (symbols). An encryption key is a sequence of symbols which is almost impossible to remember and even hard to enter from the keyboard. Moreover, different algorithms use different length of key, and a key which was used for encryption with one algorithm, may not work with other algorithm.

One way of using keys for encryption is to store them on a floppy-disk or any other removable medium, and insert this medium in computer every time you need to encrypt or decrypt data.

However, there is a more easy way to deal with encryption keys. There are special secure methods which can transform a small symbol sequence which is easy to remember (password) into an encryption key of the required length. If a program uses for generating a key from a password one and the same method, then every time it generates a key from the same password, it will get one and the same encryption key. It makes possible not to store encryption keys at all, and every time you want to encrypt or decrypt data, all you need is to enter a password, and a program will generate an encryption key from it. You can use passwords of any arbitrary length, but a program always generates key of the length that is required by the current algorithm.


Choosing password

Choosing a good password

Encrypting a file and then finding yourself unable to decrypt it is a painful lesson in learning how to choose a password you will remember. Most applications require a single word password between three and eight letters. For a couple of reasons we do not recommend that you use a singleword password. A single word password is vulnerable to a dictionary attack, which consists of having a computer try all the words in the dictionary until it finds your password. To protect against this manner of attack, it is widely recommended that you create a word that includes a combination of upper and lowercase alphabetic letters, numbers, punctuation marks, and spaces. This results in a stronger password, but an obscure one that you are unlikely to remember easily.

Trying to thwart a dictionary attack by arbitrarily inserting a lot of funny nonalphabetic characters into your password has the effect of making your password too easy to forget and could lead to a disastrous loss of information because you can't decrypt your own files. A multiple word password is less vulnerable to a dictionary attack. However, unless the password you choose is something that is easily committed to longterm memory, you are unlikely to remember it verbatim. Picking a phrase on the spur of the moment is likely to result in forgetting it entirely. Choose something that is already residing in your longterm memory. It should not be something that you have repeated to others recently, nor a famous quotation, because you want it to be hard for a sophisticated attacker to guess. If it's already deeply embedded in your longterm memory, you probably won't forget it.


Passphrase and Encryption key: what is more secure?

Password and encryption key: what is more secure?

Passwords are notoriously vulnerable to attacks. (See Alfred J. Menezes, Paul C. Van Oorschot and Scott A. Vanstone. Handbook of Applied Cryptography, CRC Press, 1996; Bruce Schneier. Applied Cryptography: Protocols, Algorithms and Source Code in C. John Wiley and Sons, Inc., second edition, 1996) Users often have weak passwords because strong passwords are long and hard to remember.

Furthermore, password protection weakens with the passage of time and improvements in computer performance: attackers can rely on faster and faster computers for guessing passwords, while user memory does not seem to expand, and passwords do not seem to get longer. This is why if you need secure encryption of your data but do not want to remember such a daunting passwords as s38.G\R^e@*h](k#, then the most reliable way for you is to use the user's encryption key. In this case you have to pay for security because you need to keep the encryption keys on the floppy disk and insert the floppy disk into the FDD every time you want to decrypt the data.


Encryption keys: basic concepts

Encryption and decryption require the use of some secret information, referred to as a key. There are two types of encryption: secret key and public key. In secret-key encryption, also referred to as symmetric encryption, the same key is used for both encryption and decryption. In the public-key encryption, also referred as asymmetric encryption, each user has a public key and a private key. Encryption is performed with the public key while decryption is done with the private key. This topic covers the issues related to the secret key encryption.

A secret key is, in essence, a sequence of numbers each of which has value from 0 to 255 (such numbers are called bytes). The required length of secret key is determined by the algorithm which is used for encryption. The required length of key for algorithms used in this program varies from 16 bytes (IDEA algorithm) to 255 bytes (RC-6 algorithm).

Secret keys are almost impossible to memorize (imagine that in order to encrypt some data you need to learn by heart the sequence of 255 numbers), and it takes several minutes to input them from the keyboard. Therefore, secret keys usually stored on floppy disks or other removable media, and these media in turn are stored in safe place.

It's a common practice in everyday life not to deal directly with secret keys, but generate them when they are needed for encryption or decryption from passwords. But here, the tradeoff is in terms of security: in order to perform secure encryption with a password, it must include a great variety of different symbols and it must be as long as possible. For example, a very secure password may look like this:

A$1)s38.G\R^ e@*h]-(k#;2%k"Q

In other words, a very secure password is not much easier to memorize than a secret key is. That is why users usually choose less complex passwords that are consequently not so secure. This program allows you to choose for encryption between a password that is easy to remember and the user's secret key which is more secure.

The necessity of storing encryption keys on a floppy disk or other removable medium is often considered as an inconvenience. But this necessity must be rather considered as an advantage. Because storing encryption keys on the floppy disk eliminates intrinsic drawbacks which encryption with password has:

Encryption with key | Encryption with password
1. Every file can be encrypted with its own key. One of the main rules of cryptography is that an encryption key must be used for encryption only once. Several hundreds keys can be stored on one floppy disk; | 1. If user "stores" passwords in his memory, he scarcely will memorize many passwords;
2. If user uses key management features, which this program offers, there is no need to track what file with what key has been encrypted. For decryption he only need to indicate directory where keys are stored and appropriate key will be found automatically; | 2. Even if user does not memorize his passwords, but writes them down on a paper, he also must track information about which password for encryption of which file has been used.
3. Encryption key can be entered for encryption or decryption with just two or three mouse clicks; | 3. To provide an acceptable level of security, passwords must be as long as possible and contain great variety of symbols. Procedure of entering such passwords often takes several minutes (taking into account possible faults and retyping).

And the main drawback of passwords is, of course, their vulnerability to various kinds of attacks. Passwords, as compared with keys, typically contain less than 20% out of all possible byte values (symbols). And this fact greatly simplifies the task of breaking the encrypted data.

As a conclusion it can be stated that:

if you need the maximal level of security for protecting your confidential information, then the only alternative for you is to use encryption with key.


What's this: initial vector

For encrypting files this program uses encryption algorithms (such as AES, Blowfish, etc.) called block ciphers. A block cipher is an encryption scheme which breaks up the plaintext data into strings (called blocks) of a fixed length and encrypt one block at a time. If blocks are being encrypted independently from each other (e.g. in the ECB mode), this can lead to some serious weaknesses in ciphertext (see: Encryption modes). In order to avoid these weaknesses, so called chaining modes (or feedback modes) such as CBC, CFB and OFB are used for encryption. In these modes encryption of every block is performed using previously encrypted block. In order to perform encryption of the very first block, there must be "seed", with which the entire process begins. Role of such a "seed" is played by the initial (or initialization) vector (IV).

Length of IV is equal to the size of block which is used in algorithm. E.g. for using with the Blowfish algorithm IV should contain 64 bits (8 bytes). Any arbitrary byte sequence can be used as IV. IV is not a secret information and should not necessarily be random. The only requirement of a highest security standard IV has to meet is to be used for encryption with the same key no more than once. For example, sometimes for encrypting the different messages consecutive numbers are used as IV: 00000001, 00000002, 00000003...

Always, when encryption in chaining modes takes place, IV necessarily must be saved for subsequent decryption. Without IV which was used for encryption it is impossible to decrypt data even if correct encryption key is provided. Thereby, IV can be considered as non-secret necessary part of an encryption key.

This program automatically generates IV when user presses the "Generate" button in the "Enter encryption key" dialog box. If user does not generate key, but enters it from the keyboard, he always should provide IV. If user does not provide IV, then IV filled with zeroes is used.

Though IV is not a secret information, and sometimes it is openly stored or transmitted with encrypted data, this program does not store IV openly in encrypted file, but stores it together with encryption key in a key file. When user saves encryption key, IV is automatically stored together with key in the same file. When this program reads the encryption key from a file, it also reads IV.


Using encryption keys

When you encrypt files with encryption key, you perform your interaction with the program through "Enter encryption key" dialog box. In this dialog box you can see the following information:

  • Current cipher – encryption algorithm, which is currently used;

  • Current mode – encryption mode, which is currently used;

  • Blocksize – the size of block of the current algorithm (the length of initial vector is always equal to Blocksize);

  • Size of key – shows minimal and maximal key length in bytes and step of the key (length of encryption key must be a multiple of step value). The length of the key may vary from min. to the max. number of bytes allowed by the current algorithm;

  • Key size in bytes – spin control with which user can set desired length of the encryption key which will be used for encryption. Key length will be automatically adjusted in accordance with the step value. For example, allowed lengths of the key for AES algorithm, which has step 8, include: 16, 24 and 32 bytes;

  • Hide key – check box with which user can hide or show key editor window. It is recommended to always keep key window hide unless key is being entered from keyboard;

  • "Encryption key" editor window – when encryption or decryption with a key takes place, the program uses as the encryption key the bytes shown in the "Encryption key" editor window. This window is divided into two parts: the hexadecimal part and ASCII part. These two areas are intended to view the same data in different ways. When you enter a key from keyboard or generate it, the bytes of the key are shown as hexadecimal values on the left side and as ASCII characters on the right side of the editor window.
    This program for encryption and decryption with the user-provided encryption key uses exactly the bytes that have been defined by user in this window without any further transformation (compared to encryption with password, where user-provided password is transformed in a rather complicated way into the encryption key). You can provide the encryption key from a file, input it from the keyboard or generate it.

  • "Initial vector" editor window – editor window for entering the initial vector. Initial vector is the byte sequence, which is used in CBC, CFB and OFB encryption modes. When user generates the encryption key, initial vector is always being generated together with key. If user enters key from keyboard, he also must always enter the initial vector. Though initial vector is not a secret information, user can consider it as a part of encryption key, because for decrypting data in modes mentioned above, user always must provide the initial vector which was used for encryption. When user saves encryption key in a file, initial vector automatically is saved in the same file. (See also: What's this: initial vector.)

Providing encryption key from a file

In fact, you can use as an encryption key any file whose size is more or equal to size of encryption key for the current algorithm. For example, if the AES algorithm is used for encryption and the length of the key was set equal to 32 bytes, then if you provide a file as an encryption key, the first 32 bytes of the file will be shown in the "Encryption key" editor window, the next 16 bytes will be shown in the "Initial vector" editor window, and all the rest file contents are ignored. In general, this can be stated in the following way: if "K" is the key length, then you must provide a file whose size is not less than "K + Blocksize" bytes. If the file size is less than K + Blocksize bytes, then the missing bytes in the encryption key and initial vector are padded with zeros.

You have take into account that contents of the absolute majority of files are not random and using such files as keys you may seriously compromise the security of encryption. Also it is not recommended to use as encryption keys files, which are located on your computer. Even if your hard disk contains hundreds of thousands files, it's a matter of several minutes (or several tens minutes) to test all of them as encryption keys. Also, it is not recommended to use as encryption keys files, whose content can be modified.

It is important to remember that if the length of the encryption key is less than the upper-range value, then it is necessary before decryption to set the length of the key that has been used for encryption. For example, if you encrypted the file with AES algorithm and 16 byte key, the for decryption you must set length of key to 16 bytes. Otherwise key will be read incorrectly. In order to avoid this and to provide a higher level of security encryption with the key of maximum length is recommended.

Inputting encryption key from the keyboard.

You can input encryption key and initial vector from the keyboard using both hexadecimal and ASCII areas of "Encryption key" editor window for inputting.

When entering values in the hexadecimal area you can use only hexadecimal digits: 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, A, B, C, D, E, F. Each byte in a hexadecimal area must be equal to the hexadecimal number from 00 to FF.

ASCII symbols representing hexadecimal values are shown to the right of the hexadecimal area. For example, the hexadecimal value 41 is equal to the letter "A" in the English alphabet. Some values do not have an ASCII equivalent, i.e. there is no symbol that represents them on the screen. Such values are shown in the ASCII area as dots. (But remember that "dot" itself has its own hexadecimal value 2E and "space" has the hexadecimal value 20).

Generating encryption key

All the bytes of the key must be random and equiprobable – this is one of the main requirements that encryption key has to meet. For example, if the user uses in key only alpha-numeric values of bytes then these values are not equiprobable with the other values of bytes, because the user uses only 26 lower-case English letters, 26 upper-case English letters and 10 numeric values out of 256 possible values for each byte in the key. In other words, only 62 values out of 256 possible values are used in the key. Therefore, the number of possible keys decreases significantly and the task of cryptanalysis of the ciphertext encrypted with such a key becomes easier.

With this program you can generate highly random encryption keys. 17 different random values such as current cursor position or current process ID are retrieved from your computer during the key generating. The values are hashed by the hash function SHA-1. Each subsequent value is added to the output of the hash function and the result is hashed again. This cycle is repeated 1000 times. Some added values are changing even during the cycle, for example, the number of milliseconds that elapsed since the Windows has started.

As a result, a highly random sequence of bytes is created and the encryption key and initial vector are formed from this sequence.

Press the "Generate" button in the "Enter encryption key" dialog box to generate new encryption key and initial vector.

Note: We recommend that you always save the encryption key immediately after generating. If the user generated the key and encrypted a file with this key without saving the key, then it is impossible to restore the key and to decrypt the file.


Protecting secret keys

Safe storage of secret keys is one of the most important thing to provide for securing your encrypted data. You should provide the safe storage of your secret keys bearing two goals in mind:

  1. Protecting your secret keys from disclosure;

  2. Protecting your secret keys from being lost.

The most reliable way to prevent your secret keys from disclosure is to maximally restrict physical access to them. The best practice is to keep secret keys on removable media such as floppy disk, CD, removable hard drive, etc. This medium in turn should be kept in a secure location to which only you have access, such as a safe, or locked cabinet.

In order to protect your secret key from being lost it's strongly recommended to always have one or even two backup copies of your secret keys and keep them separately. If the data encrypted with a secret key is extremely important and valuable, you can even consider to rent a bank deposit box, and keep a backup copy of your secret keys there. Also it's a good idea to print out your secret keys and keep the paper copy of your keys in a fireproof place.

You should always remember that in case you have lost the key from your strongbox, you can call a locksmith with a gas-cutting device and he will open the strongbox at your request. But if the encryption key is lost then you will not restore the data encrypted with it even using the power of all the computers in the world.


Overview of algorithms

A symmetric cryptographic algorithm is a cryptographic algorithm that typically uses a single key for encryption and decryption. Symmetric algorithms can be divided into two categories: stream algorithms and block algorithms (also called stream and block ciphers).

A block cipher is a type of symmetric-key encryption algorithm that transforms a fixed-length block of plaintext data into a block of ciphertext data of the same length. This transformation takes place under the action of a user-provided secret key. Decryption is performed by applying the reverse transformation to the ciphertext block using the same secret key. The fixed length is called the block size. All algorithms used in this program have the block size 64 bits or 128 bits.

Iterated block ciphers encrypt a plaintext block by a process that has several rounds. In each round, the same transformation (also known as a round function) is applied to the data using a subkey. The set of subkeys is usually derived from the user-provided secret key by a special function. The set of subkeys is called the key schedule. The number of rounds in an iterated cipher depends on the desired security level and the consequent trade-off with performance. In most cases, an increased number of rounds will improve the security offered by a block cipher.

The symmetric algorithms available in this program are listed below.

Algorithm | Max. length of key |  | Block size
 | bits | bytes | bits
AES | 256 | 32 | 128
Blowfish | 576 | 72 | 64
CAST-256 | 256 | 32 | 128
GOST | 256 | 32 | 64
Square | 128 | 16 | 128
MARS | 448 | 56 | 128
RC-6 | 2040 | 255 | 128
Serpent | 256 | 32 | 128
Triple DES | 192 | 24 | 64
Twofish | 256 | 32 | 128

NOTE: Latest enhancement of Blowfish algorithm by author of this algorithm Bruce Schneier has increased key length from 448 bits to 576 bits.


Encryption modes

When we use a block cipher to encrypt a message of arbitrary length, we use techniques known as modes of operation for the block cipher. To be useful a mode must be at least as secure and as efficient as the underlying cipher. Modes may have properties in addition to those inherent in the basic cipher. The standard DES modes have been published in FIPS PUB 81 and as ANSI X3.106. A more general version of the standard generalized the four modes of DES to be applicable to a block cipher of any block size. The standard modes are Electronic Code Book (ECB), Cipher Block Chaining (CBC), Cipher Feedback (CFB), and Output Feedback (OFB).

Electronic Codebook mode (ECB)

When this cipher mode is used, each block is encrypted individually. No feedback is used. This means any blocks of plaintext that are identical and are either in the same message, or in a different message that is encrypted with the same key, will be transformed into identical ciphertext blocks.

If the plaintext to be encrypted contains substantial repetition, then it is feasible for the ciphertext to be broken one block at a time. Furthermore, it is possible for an unscrupulous person to substitute and exchange individual blocks without detection.

Initialization vectors cannot be used with this cipher mode.

If a single bit of the ciphertext block is garbled, then the entire corresponding plaintext block will also be garbled.

Cipher Block Chaining mode (CBC)

This cipher mode introduces feedback. Before each plaintext block is encrypted, it is combined with the ciphertext of the previous block by a bitwise XOR. This ensures that even if the plaintext contains many identical blocks, they will each encrypt to a different ciphertext block.

The initialization vector is combined with the first plaintext block by a bitwise XOR before the block is encrypted.

As with the electronic codebook cipher mode, if a single bit of the ciphertext block is garbled, then the corresponding plaintext block will also be garbled. In addition, a bit in the subsequent plaintext block (in the same position as the original garbled bit) will be garbled. Synchronization errors are fatal. If there are extra or missing bytes in the ciphertext, the plaintext will be garbled from that point on.

Cipher Feedback mode (CFB)

In CFB mode the previous ciphertext block is encrypted and the output produced is combined with the plaintext block using exclusive-OR to produce the current ciphertext block. It is possible to define CFB mode so it uses feedback that is less than one full data block. An initialization vector is used as a “seed” for the process.

CFB mode is as secure as the underlying cipher and plaintext patterns are concealed in the ciphertext by the use of the exclusive-or operation. Plaintext cannot be manipulated directly except by the removal of blocks from the beginning or the end of the ciphertext. With CFB mode and full feedback, when two ciphertext blocks are identical, the outputs from the block cipher operation at the next step are also identical. This allows information about plaintext blocks to leak.

Output Feedback mode (OFB)

OFB mode is similar to CFB mode except the quantity exclusive-ORed with each plaintext block is generated independently of both the plaintext and ciphertext. An initialization vector is used as a “seed” for a sequence of data blocks, and each data block is derived from the encryption of the previous data block. The encryption of a plaintext block is derived by taking the exclusive-OR of the plaintext block with the relevant data block.

OFB mode has an advantage over CFB mode in that any bit errors that might occur inside ciphertext are not propagated to affect the decryption of subsequent blocks. However, by changing the ciphertext, the plaintext can be easily manipulated.


AES

AES (Rijndael)

AES (stands for Advanced Encryption Standard, former name: "Rijndael") is a winner of AES competition (got 86 votes). It is a 128-bit block cipher with keysize of up to 256 bits developed by Joan Daemen and Vincent Rijmen. The round transformation of AES does not have the Feistel structure. Instead, the round transformation is composed of three distinct invertible uniform transformations, called layers. Every layer has its own function:

- The linear mixing layer: guarantees high diffusion over multiple rounds.

- The nonlinear layer: parallel application of S-boxes that have optimum worst case nonlinearity properties.

- The key addition layer: A simple EXOR of the Round Key to the intermediate State.

In the final round of AES competition another four algorithms were under consideration to become the AES: MARS, RC-6, Serpent and Twofish. NIST (National Institute of Standards and Technology) made the following comments about the five finalists: "Each of the finalist algorithms appears to offer adequate security, and each offers a considerable number of advantages. Any of the finalists could serve admirably as the AES. However, each algorithm also has one or more areas where it does not fare quite as well as some other algorithm; none of the finalists is outstandingly superior to the rest."


Blowfish

Blowfish is a 64-bit block cipher developed by Bruce Schneier. It is a 16-round Feistel cipher and each round consists of a key-dependent permutation and a key-and-data-dependent substitution. All operations are based on exclusive-ors and additions on 32-bit words. The key has a variable length (with a maximum length of 576 bits) and is used to generate several subkey arrays. This cipher was designed specifically for 32-bit machines and although there is a complex initialization phase required before any encryption can take place, the actual encryption of data is very efficient on large microprocessors.


CAST-256

CAST is a 64-bit block cipher with keysize of 128 bits developed by Carlisle Adams and Stafford Taveres. It is a 16-round Feistel cipher that uses rotation to provide intrinsic immunity to linear and differential attacks; it uses a mixture of XOR, addition and subtraction (modulo 2**32) in the round function; and it uses three variations of the round function itself throughout the cipher. Finally, the 8x32 s-boxes used in the round function each have a minimum nonlinearity of 74 and a maximum entry of 2 in the difference distribution table.


GOST

GOST 28147-89 is a Russian encryption standard. It is a 64-bit block cipher with keysize of 256 bits. GOST is a DES-like 32-round Feistel cipher and each round consists of key-and-data-dependent substitution and rotation. All operations are based on exclusive-ors and additions on 32-bit words. GOST unlike DES does not specify the contents of its eight substitution boxes, saying they're a parameter of the Feistel network being set up. FineCrypt in GOST algorithm uses the first rows of the 8 S-boxes from the DES.


MARS

MARS is a 128-bit block cipher with keysize of up to 448 bits developed by IBM. MARS uses a unique combination of S-box lookups, multiplications and datadependent rotations. MARS has a heterogeneous structure, with cryptographic core rounds that are wrapped by simpler mixing rounds. The cryptographic core rounds provide strong resistance to all known cryptanalytical attacks, while the mixing rounds provide good avalanche and offer very wide security margins to thwart new (yet unknown) attacks.

Algorithm was a finalist in AES competition and got 13 votes (5-th place).


RC-6

The RC-6 block cipher was designed by Ron Rivest in collaboration with Matt Robshaw, Ray Sidney, and Yiqun Lisa Yin from RSA Laboratories. The algorithm is an evolutionary improvement over the RC-5 block cipher, and like RC-5, it makes essential use of data-dependent rotations. It has 128-bit block size, a key size of up to 2040 bits, and a 32 rounds. There are three routines in RC-6: key expansion, encryption, and decryption. In the key-expansion routine, the user-provided secret key is expanded to fill a key table whose size depends on the number of rounds. The key table is then used in both encryption and decryption. The encryption routine consists of three primitive operations: integer addition, bitwise exclusive-or, and variable rotation. The heavy use of data-dependent rotations and the mixture of different operations provide the security of RC-6. In particular, the use of data-dependent rotations helps defeat differential and linear cryptanalysis.

Algorithm was a finalist in AES competition and got 23 votes (4-th place).


Serpent

Serpent is a 32-round SP-network, designed by Ross Anderson, Eli Biham and Lars Knudsen. It operating on four 32-bit words, thus giving a block size of 128 bits. All values used in the cipher are represented as bitstreams. Serpent encrypts a 128-bit plaintext to a 128-bit ciphertext in 32 rounds under the control of 33 128-bit subkeys. Its design is highly conservative, yet still allows a very efficient implementation. It uses S-boxes similar to those of DES in a new structure that simultaneously allows a more rapid avalanche and a more efficient bitslice implementation.

Algorithm was a finalist in AES competition and got 59 votes (2-nd place).

Here, what authors of Serpent say: "Serpent and Rijndael are in fact somewhat similar; the main difference is that Rijndael is faster (having fewer rounds) but Serpent is more secure."


Twofish

Twofish is a 128-bit block cipher that accepts a variable-length key up to 256 bits. The cipher is a 16-round Feistel network with a bijective F function made up of four key-dependent 8-by-8-bit S-boxes, a fixed 4-by-4 maximum distance separable matrix over GF(28), a pseudo-Hadamard transform, bitwise rotations, and a carefully designed key schedule. The design of both the round function and the key schedule permits a wide variety of tradeoffs between speed, software size, key setup time, gate count, and memory.

Algorithm was a finalist in AES competition and got 31 votes (3-rd place).


Automatic deletion: basics

When you delete your sensitive files from a disk on your computer, the Windows does not erase these files' contents from the disk - it only deletes 'references' to these files from some system tables. Contents of the deleted file (or file body) continue to be stored on the disk and can be easily restored using any disk tool utility.

SecureTask deletes the files by overwriting them with the help of the procedure recommended by Department of Defense: first all the data in the file is overwritten by all ones then it is overwritten by all zeros and finally it is overwritten by a stream of random values. This procedure is repeated as many times as defined in the task's "Number of wiping rounds" property.

SecureTask lets you with few mouse clicks permanently delete any number of files from your computer so that their contents cannot be recovered. In order to do that you need to have a schedule containing one or more deletion tasks with information about which files and in what way must be deleted (see also: What's this: task).

Each deletion task has several parameters which must be defined before this task can be executed:

  • Folder (or drive) where files which must be encrypted are located;
  • File mask that defines types and/or names of files which must be encrypted;
  • Deletion type;
  • Number of wiping rounds.

In the main SecureTask window deletion tasks are represented on the "Delete" pane in the Task window.

See also:

  • Configuring deletion task


Creating deletion task

When creating new task, you must specify the folder (or drive) where files which you want to delete reside.

To create deletion task:

  1. In the Task window select the "Delete" pane.

  2. To add new deletion task to the task schedule, do one of following actions:

    • Press "Add new task" button( [image] )on the toolbar;

    • Press F2 key;

    • Select "Create new task..." item in the "Actions" menu;

    • Click with the right mouse button on any item in the Task window and select "Create new task..." item in the context menu.

  3. In the "Select folder" dialog box select the folder that contains the files which you want to encrypt and press OK.

See also:

  • Configuring deletion task


Configuring deletion task

Once you have created new deletion task, you should configure it in accordance with your needs. You can set up task properties in the "Task properties" window.

First of all you need to specify which files you want to delete. You do that by specifying the search criteria (file mask) which will be used by SecureTask for finding files which must be deleted. To specify the file mask, click with the left mouse button on the "File mask" field and after that click on the appeared button to open the "File mask" dialog box. How to define the file mask in this dialog box read here: "File mask" dialog box.

After that you should decide whether you want to delete files which reside in subfolders of the "Location" folder and which match the file mask. If you don't want these files to be deleted, then set the "Include subfolders" property to "No".

Sometimes, it's not necessarily to wipe files, but it's enough to simply delete them or move to Recycle Bin. "Deletion type" property lets you to specify the action you want to be performed for removing files.

The "Number of wiping rounds" property defines how many times your data must be overwritten. The more number of wiping rounds, the more securely your data will be erased.


Executing deletion tasks

SecureTask can execute tasks only after building the list of files which will be deleted (list of targets). This list of targets must be built before executing tasks for safety purposes: before SecureTask will delete any files, you can see the list of files which are to be deleted, and you can remove some files from this list if needed. How to build list of targets read here: Building list of targets.

Once list of targets is built, you can examine it and make corrections if necessary before executing tasks. You can do the following operations with files in the list of targets:

  • You can open them and view and modify their contents. To do this, select the desired file and do one of the following:

    - double-click with the left mouse button on it;
    - press "Enter";
    - press F9;
    - select "Actions/Open file" menu item.
    - press "Open file" button ( [image] ) on the toolbar.

  • You can remove files from the list of targets, so that SecureTask will not perform any actions on them. To remove a file from the list of targets, select the desired file, click with the right mouse button on it and select "Remove from list" menu item.

  • You can change the type of action that will be performed on files. The action which is currently set to be performed on a file can be seen in the "Action" column of the list of targets. To change the type of action, select the desired file, click with the right mouse button on it and select the desired type of action from the context menu.

After you have reviewed list of targets, you execute tasks be pressing the "Execute" ( [image] ) button on the toolbar. By default, this button is disabled until list of targets is built.

To start executing tasks, do one of the following actions:

  • Press "Execute" button ( [image] ) on the toolbar;

  • Press F8 key;

  • Select "Execute" item in the "Actions" menu.

Notes:

  • After tasks has been executed there is no way to undo them. It is highly recommended to always review files listed for execution of tasks.

See also:

  • Working with list of targets


Working with predefined tasks

SecureTask has a set of built-in tasks whose parameters already configured and you don't need to modify them. These tasks are called predefined tasks. Predefined tasks are intended to perform various sorts of system cleanup. SecureTask lets you automatically perform the following predefined tasks:

  • "Internet history" - When you are browsing the Internet, Windows writes down the addresses of all pages you opened into the special "Internet history" files. So that you, or anyone else can open these files and see the address of every page you were browsing. Activate this task and Secure Task will clear all the Internet history files.
  • "Temporary internet files" - When you are browsing the Internet, any data retrieved from the network is cached on your hard disk and stored in the temporary files. You or anyone else can open the directory with these files and see what pages you were browsing. Using this task you can automatically delete all the temporary Internet files from your hard disk.
  • "Cookies" - Some web sites, when you are visiting them, store on your hard disk special files called "cookies". These files contain the information about your last visit to this site, your personal ID which was assigned to you during your visit to this site, and some other data. Activate this task to let Secure Task delete all the "cookie" files from your hard disk.
  • "Recent documents" - Windows adds the name of each file you open to its "Recently opened documents" list. Using this task you can clear this list.
  • "Recycle bin" - Empties your recycle bin.

Predefined tasks are located on the "Predefined" pane in the "Task" window.

As already mentioned, all the necessary parameters of these tasks are already configured and they don't have properties which you can modify. In order to use these tasks you need to simply activate the tasks you want to perform. In the "Task properties" window you can see the task name and the property called "Action type". Currently, all the predefined tasks have two action types: "None" and "Clear". (In the future, some additional predefined tasks with other action types will be added.) By default, the action type of all predefined tasks is set to "None". This means that the task is not activated and will not be performed. To activate the task, simply set its action type to "Clear". After that you can execute activated predefined task in the same way as you execute user tasks.

See also:

  • Building list of targets

Executing tasks


General preferences

To set the General preferences:
  1. Start SecureTask. If the Wizard window is shown on startup, click the "Show main SecureTask window" button.
  2. Select "File\Preferences" menu item in the main menu.
  3. In the "Preferences" dialog box click the "General" tab.

On the "General" page you can set the following options:

  • Encrypt schedule - set this option if you wish your schedule documents to be stored encrypted. If this option is set, then every time when you save or open Secure Task schedule files, you will be prompted to enter a password. It is recommended to use this option if encryption tasks in your schedule contain passwords. If you are using this option, you can safely store passwords in your encryption tasks because schedule files are encrypted with AES encryption algorithm which is one of the strongest encryption algorithms.
  • Load last schedule on startup - if this option is set, then every time when you start Secure Task, the program will try to open a schedule file which was used most recently.
  • Show Wizard on startup - if this option is set, then when you are starting the program, the SecureTask Wizard window will appear instead of the main window.

See also:

  • Encryption preferences


Encryption preferences

To set the Encryption preferences:
  1. Start SecureTask. If the Wizard window is shown on startup, click the "Show main SecureTask window" button.
  2. Select "File\Preferences" menu item in the main menu.

On the "Encryption" page you can set the following options:

  • Compress all files before encryption - If selected, all the files will be compressed before the encryption. Take into consideration that the data stored in many files such as jpg, mov, mp3, etc. is already compressed. An attempt to compress such files may enlarge them. Besides, you are just wasting your time trying to compress such files. Select this option if you encrypt mostly compressible files such as txt, doc, xls, etc.

  • Compress only compressible files - If selected, then the compression will be performed only for the files that can be compressed with a ratio exceeding 10%. The program will check before encrypting whether the file can be effectively compressed and compression will be performed only for compressible files. Select this option if you encrypt both compressible and incompressible files.

  • Don't compress - This option disables the compression for all files. Select this option if you encrypt mostly incompressible files such as zip, arj, jpg, jpeg, mov, etc.

  • Always replace files with the same name - If checked, then all existing files with the same names as new ones will be replaced during the encryption without any warning.

  • Restore original time/date stamp for decrypted files - If selected, the program sets for the decrypted files the time/date stamp ("Modified" and "Created" date and time) which original files had. If not selected, the program sets for the decrypted files the current date and time as the time/date stamp.

The section "If file already exists in archive" determines behavior of the program in situations when the name of a file that is being added to the archive coincide with the name of a file that already exists in the archive. This section contains four options:

  • "Always overwrite" - existing file is always replaced with new file.
  • "Overwrite with newer version" - existing file is replaced with new file only if the new file has been more recently modified that the existing file.
  • "Show prompt" - if file with the same name is already existing in an archive, the dialog box will be shown and you will be able to choose whether to replace the existing file or not.
  • "Never overwrite" - existing file is never overwritten with new file.

See also:

  • General preferences


Free Version License

SecureTask Free Version License

SecureTask® Copyright © 1999-2003 by Crypto Systems, Inc. All rights reserved.

This license applies to the free version of SecureTask. If you are using full version of SecureTask, see the section titled SecureTask Full Version License.

SecureTask License
Free Version
Crypto Systems, Inc.

Your Agreement to this License

By using, copying, transmitting, distributing or installing SecureTask, you agree to all of the terms of this agreement (“License”).

Please read the license terms below. If you do not agree to all of the terms of this License, then do not use, copy, transmit, distribute, or install SecureTask.

Scope of License

This is a free software. Subject to the terms below, you are hereby licensed by Crypto Systems, Inc. (“CSI”) to use one copy of SecureTask, on one (1) computer or workstation, without charge for an unlimited period.
You may, without making any payment to CSI:

a) give exact copies of this free version of SecureTask personally to anyone;
b) distribute exact copies of this free version of SecureTask, if done exclusively through electronic channels; and
c) make as many exact copies of this free version of SecureTask as you wish, for purposes of distribution as described in (a) and (b) above.

You are specifically prohibited from charging, or requesting donations, for any copies, however made, and from distributing such copies with other products of any kind, commercial or otherwise, without prior written permission from CSI. CSI reserves the right to revoke the above distribution rights at any time, for any or no reason.

All rights of any kind in SecureTask which are not expressly granted in this License are entirely and exclusively reserved to and by CSI. You may not rent, lease, modify, translate, reverse engineer, decompile, disassemble, or create derivative works based on, SecureTask. You may not make access to SecureTask available to others in connection with a service bureau, application service provider, or similar business.

Warranty Disclaimers and Liability Limitations

SecureTask, and any and all accompanying software, files, data and materials, are distributed and provided “AS IS” and with no warranties of any kind, whether express or implied. You acknowledge that good data processing procedure dictates that any program, including SecureTask, must be thoroughly tested with non-critical data before there is any reliance on it, and you hereby assume the entire risk of all use of the copies of SecureTask covered by this License

In no event shall CSI, or its principals, shareholders, officers, employees, affiliates, contractors, subsidiaries, or parent organizations, be liable for any indirect, incidental, consequential, or punitive damages whatsoever relating to the use of SecureTask, or to your relationship with CSI.

In addition, in no event does CSI authorize you or anyone else to use SecureTask in applications or systems where SecureTask's failure to perform can reasonably be expected to result in a significant physical injury, or in loss of life. Any such use is entirely at your own risk, and you agree to hold CSI harmless from any and all claims or losses relating to such unauthorized use.

General

This License is the complete statement of the agreement between the parties on the subject matter, and merges and supersedes all other or prior understandings, purchase orders, agreements and arrangements. There are no third party beneficiaries of any promises, obligations or representations made by CSI herein. Any waiver by CSI of any violation of this License by you shall not constitute, nor contribute to, a waiver by CSI of any other or future violation of the same provision, or any other provision, of this License.


Full version license

SecureTask Full Version License

SecureTask® Copyright © 1999-2002 by Crypto Systems, Inc. All rights reserved.

This license applies to the fully functional version of SecureTask. If you are using free version of SecureTask, see the section titled SecureTask Free License.

SecureTask License
Crypto Systems, Inc.
Your Agreement to this License

You should carefully read the following terms and conditions before using, installing or distributing this software. Unless you have a different license agreement signed by Crypto Systems, Inc. (“CSI”) your use, distribution, or installation of SecureTask indicates your acceptance of this agreement ("License").

If you do not agree to all of the terms and conditions of this License, then do not copy, install, distribute or use any copy of SecureTask with which this License is included.

The terms and conditions of this License describe the permitted use and user(s) of each Licensed Copy of SecureTask. For purposes of this License, if you have a valid single-copy license, you have the right to use a single "Licensed Copy" of SecureTask; if you or your organization has a valid multi-user license, then you or your organization have/has the right to use up to a number of "Licensed Copies" of SecureTask equal to the number of copies indicated in the documents issued by CSI when granting the license.

Scope of License

Each Licensed Copy of SecureTask may either be used by a single person who uses the software personally on one or more computers, or installed on a single workstation used nonsimultaneously by multiple people, but not both. This is not a concurrent use license.

Each Licensed Copy may be accessed through a network, provided that you have purchased rights to use a Licensed Copy for each workstation that will access SecureTask through the network. For instance, if 8 different workstations will access SecureTask on the network, you must purchase rights to use 8 Licensed Copies of SecureTask, regardless of whether the 8 workstations will access SecureTask at different times or concurrently.

All rights of any kind in SecureTask which are not expressly granted in this License are entirely and exclusively reserved to and by CSI. You may not rent, lease, modify, translate, reverse engineer, decompile, disassemble, or create derivative works based on, SecureTask, nor permit anyone else to do so. You may not make access to SecureTask available to others in connection with a service bureau, application service provider, or similar business, nor permit anyone else to do so.

Warranty Disclaimers and Liability Limitations

SecureTask, and any and all accompanying software, files, data and materials, are distributed and provided “AS IS” and with no warranties of any kind, whether express or implied. You acknowledge that good data processing procedure dictates that any program, including SecureTask, must be thoroughly tested with non-critical data before there is any reliance on it, and you hereby assume the entire risk of all use of the copies of SecureTask covered by this License

In no event shall CSI, or its principals, shareholders, officers, employees, affiliates, contractors, subsidiaries, or parent organizations, be liable for any indirect, incidental, consequential, or punitive damages whatsoever relating to the use of SecureTask, or to your relationship with CSI.

In addition, in no event does CSI authorize you or anyone else to use SecureTask in applications or systems where SecureTask's failure to perform can reasonably be expected to result in a significant physical injury, or in loss of life. Any such use is entirely at your own risk, and you agree to hold CSI harmless from any and all claims or losses relating to such unauthorized use.

General

This License is the complete statement of the agreement between the parties on the subject matter, and merges and supersedes all other or prior understandings, purchase orders, agreements and arrangements. There are no third party beneficiaries of any promises, obligations or representations made by CSI herein. Any waiver by CSI of any violation of this License by you shall not constitute, nor contribute to, a waiver by CSI of any other or future violation of the same provision, or any other provision, of this License.


Registration of SecureTask

If you are using free version of SecureTask, you can download and register fully functional version. Free version has the same level of security as the full version does, but free version has the following functional limitations:

  1. Using free version you cannot save your task schedules;

  2. With free version you cannot add more than 5 files to an encrypted archive.

  3. With free version you cannot encrypt files of following types: ZIP, ARJ, TAR, CAB, ARC, GZ.

Fully functional version does not have any of these limitations.

To download and register the full version of SecureTask, please visit registration page on the SecureTask web site (your computer should be connected to Internet). The link will be opened in new window.

Registration page


sectask: How to

How to...

This section contains information about procedures which you will do when using Secure Task:


sectask: Predefined tasks

Working with predefined tasks

Secure Task can automatically perform some standard Windows tasks. These tasks include:

  • "Internet history" - When you are browsing the Internet, Windows writes down the addresses of all pages you opened into the special "Internet history" files. So that you, or anyone else can open these files and see the every page you were browsing. Activate this task and Secure Task will clear all the Internet history files.
  • "Temporary internet files" - When you are browsing the Internet, any data retrieved from the network is cached on your hard disk and stored in the temporary files. You or anyone else can open the directory with these files and see what pages you were browsing. Using this task you can automatically delete all the temporary Internet files from your hard disk.
  • "Cookies" - Some web sites, when you are visiting them, store on your hard disk special files called "cookies". These files contain the information about your last visit to this site, your personal ID which was assigned to you during your visit to this site, and some other data. Activate this task to let Secure Task delete all the "cookie" files from your hard disk.
  • "Recent documents" - Windows adds the name of each file you open to its "Recently opened documents" list. Using this task you can clear this list.
  • "Recycle bin" - Empties your recycle bin.

To include predefined task in your schedule open "Predefined" pane in the Task window and select the desired task. In the Task properties window set the Action type to "Clear".


sectask: Task properties

Task properties

This section contains information about task properties. Choose below the property about which you wish to know more details:

File mask
Folder
Include subfolders
Task name
Deletion type
Wipe original files
Destination folder
Create archive
Archive name
Key file
Password
Algorithm
Mode


Starting Secure Task

To start Secure Task

  • Click "Start" button, in the "Program" menu select "Secure Task".

  • If you have already created task schedule with Secure Task, you can start Secure Task by double-clicking on the FineCrypt SecureTask Schedule file. These files have "FTM" extension and icon [image].

Note: if you are opening by double-clicking an encrypted schedule file, then before Secure Task window will appear you will be prompted to enter the password for encrypted schedule file.


sectask: Using Secure Task

Using Secure Task

Secure Task is an utility with which you can automate some operations with files that you do regularly on your computer.

You create and delete tasks in the Task window, and configure task properties in the Properties window. When you have created a task schedule, you can save it and use again in the future.

Once task schedule has been created, you press one of three buttons: "List files for current task", "List files for selected pane", or "List files for all panes", and Secure Task builds in the File list window a list of files which will be affected by these tasks. You can edit this file list by removing files from it or changing actions that must be executed with these files.

After the file list has been built, you press "Execute" button and Secure Task will execute all tasks with files which are in the file list.

During building a file list or executing tasks Secure Task will generate messages about results of current operations. These messages are shown in the Output window. If Secure Task encounters some error during execution of task, it put in the "Output" window the task properties and a brief description of error.

For more details see:

How to...

Task properties